//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package nc.vo.cmp.informer;

import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pub.lang.UFTime;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

public class InformerVO extends SuperVO {
    public static final String PK_INFORMER = "pk_informer";
    public static final String DIRECTION = "direction";
    public static final String PK_CURRTYPE = "pk_currtype";
    public static final String PK_ORG = "pk_org";
    public static final String PK_BANKTYPE = "pk_banktype";
    public static final String PK_BANK = "pk_bank";
    public static final String BANKNAME = "bankname";
    public static final String PK_BANKACC = "pk_bankacc";
    public static final String BANKACCOUNT = "bankaccount";
    public static final String PK_ACC_SUB = "pk_acc_sub";
    public static final String MONEYY = "moneyy";
    public static final String OLCMONEY = "olcmoney";
    public static final String GLCMONEY = "glcmoney";
    public static final String GLLCMONEY = "gllcmoney";
    public static final String INFODATE = "infodate";
    public static final String INFODATETIME = "infodatetime";
    public static final String MEMO = "memo";
    public static final String PK_OPPUNIT = "pk_oppunit";
    public static final String PK_OPPBANKTYPE = "pk_oppbanktype";
    public static final String PK_OPPBANK = "pk_oppbank";
    public static final String OPPUNITNAME = "oppunitname";
    public static final String PK_OPPACC = "pk_oppacc";
    public static final String OPPBANKACCOUNT = "oppbankaccount";
    public static final String PK_OPPACC_SUB = "pk_oppacc_sub";
    public static final String PK_LOWER = "pk_lower";
    public static final String GENERATEFLAG = "generateflag";
    public static final String PK_SRC = "pk_src";
    public static final String SYSCODE = "syscode";
    public static final String PK_GROUP = "pk_group";
    public static final String CREATOR = "creator";
    public static final String CREATIONTIME = "creationtime";
    public static final String MODIFIER = "modifier";
    public static final String MODIFIEDTIME = "modifiedtime";
    public static final String PK_ORG_V = "pk_org_v";
    public static final String SELECTED = "selected";
    public static final String STYLEFLAG = "styleflag";
    public static final String ROWNO = "rowno";
    public static final String OPPUNITTYPE = "oppunittype";
    public static final String OPPINOUT = "oppinout";
    public static final String LOWERBILLTYPE = "lowerbilltype";
    public static final String OLCRATE = "olcrate";
    public static final String GLCRATE = "glcrate";
    public static final String GLLCRATE = "gllcrate";
    public static final String BANKRELATED_CODE = "bankrelated_code";
    public static final String VBILLNO = "vbillno";
    public static final String PK_BILLTYPECODE = "pk_billtypecode";
    public static final String PK_BILLTYPEID = "pk_billtypeid";
    public static final String BILLMAKER = "billmaker";
    public static final String DOPERATEDATE = "doperatedate";
    public static final String DOPERATETIME = "doperatetime";
    public static final String RECPAY_FUNDORG = "recpay_fundorg";
    public static final String RECPAY_ORG = "recpay_org";
    public static final String RECPAY_INNERACC = "recpay_inneracc";
    public static final String PK_BALATYPE = "pk_balatype";
    public static final String PK_FUNDTYPE = "pk_fundtype";
    public static final String RECPAY_ORGPLANSUBJ = "recpay_orgplansubj";
    public static final String RECPAY_FUNDPLANSUBJ = "recpay_fundplansubj";
    public static final String PK_CLAIMER = "pk_claimer";
    public static final String CLAIMDATE = "claimdate";
    public static final String RELEASE_ORG = "release_org";
    public static final String BANKACCFLAG = "bankaccflag";
    public static final String VOUCHFLAG = "vouchflag";
    public static final String TAXRATE = "taxrate";
    public static final String CONSIGNAGREEMENT = "consignagreement";
    public static final String NOTE_NO = "note_no";
    public static final String INVOICENO = "invoiceno";
    public static final String PAYREASON = "payreason";
    public static final String FAILUREREASON = "failurereason";
    public static final String DOMAIN = "domain";
    public static final String FAMILY = "family";
    public static final String SUBFAMILY = "subfamily";
    public static final String SDDREVERSALFLAG = "sddreversalflag";
    public static final String ASSOCIATEFLAG = "associateflag";
    public static final String STRUCTUREDSTANDARD = "structuredstandard";
    public static final String CREDITORREFERENCE = "creditorreference";
    public static final String USEMONEY = "usemoney";
    public static final String TRANSERIAL = "transerial";
    public static final String OPER_FLAG = "oper_flag";
    public static final String RATEFLAG = "rateflag";
    public static final String OLCRATETYPE = "olcratetype";
    public static final String OLCRATECATEGORY = "olcratecategory";
    public static final String OLCRATEDATE = "olcratedate";
    public static final String SAGA_GTXID = "saga_gtxid";
    public static final String SAGA_BTXID = "saga_btxid";
    public static final String SAGA_FROZEN = "saga_frozen";
    public static final String SAGA_STATUS = "saga_status";
    public static final String SRCBUSISYSTEM = "srcbusisystem";
    public static final String SRCBUSIBILL = "srcbusibill";
    public static final String SRCBUSITYPE = "srcbusitype";
    public static final String SRCBUSIBILLNAME = "srcbusibillname";
    private  java.lang.String vdef1;
    private  java.lang.String vdef2;
    private  java.lang.String vdef3;
    private  java.lang.String vdef4;
    private  java.lang.String vdef5;
    private  java.lang.String vdef6;
    private  java.lang.String vdef7;
    private  java.lang.String vdef8;
    private  java.lang.String vdef9;
    private  java.lang.String vdef10;
    private  java.lang.String vdef11;
    private  java.lang.String vdef12;
    private  java.lang.String vdef13;
    private  java.lang.String vdef14;
    private  java.lang.String vdef15;
    private  java.lang.String vdef16;
    private  java.lang.String vdef17;
    private  java.lang.String vdef18;
    private  java.lang.String vdef19;
    private  java.lang.String vdef20;
	public static final String VDEF1 = "vdef1";
	public static final String VDEF2 = "vdef2";
	public static final String VDEF3 = "vdef3";
	public static final String VDEF4 = "vdef4";
	public static final String VDEF5 = "vdef5";
	public static final String VDEF6 = "vdef6";
	public static final String VDEF7 = "vdef7";
	public static final String VDEF8 = "vdef8";
	public static final String VDEF9 = "vdef9";
	public static final String VDEF10 = "vdef10";
	public static final String VDEF11 = "vdef11";
	public static final String VDEF12 = "vdef12";
	public static final String VDEF13 = "vdef13";
	public static final String VDEF14 = "vdef14";
	public static final String VDEF15 = "vdef15";
	public static final String VDEF16 = "vdef16";
	public static final String VDEF17 = "vdef17";
	public static final String VDEF18 = "vdef18";
	public static final String VDEF19 = "vdef19";
	public static final String VDEF20 = "vdef20";

    public String getVdef1() {
        return (String)this.getAttributeValue("vdef1");
    }

    public void setVDef1(String def01) {
        this.setAttributeValue("vdef1", def01);
    }

    public String getOper_flag() {
        return (String)this.getAttributeValue("oper_flag");
    }

    public void setOper_flag(String newOper_flag) {
        this.setAttributeValue("oper_flag", newOper_flag);
    }

    public String getOlcratetype() {
        return (String)this.getAttributeValue("olcratetype");
    }

    public void setOlcratetype(String olcratetype) {
        this.setAttributeValue("olcratetype", olcratetype);
    }

    public Integer getOlcratecategory() {
        return (Integer)this.getAttributeValue("olcratecategory");
    }

    public void setOlcratecategory(Integer olcratecategory) {
        this.setAttributeValue("olcratecategory", olcratecategory);
    }

    public UFDate getOlcratedate() {
        return (UFDate)this.getAttributeValue("olcratedate");
    }

    public String getSrcbusisystem() {
        return (String)this.getAttributeValue("srcbusisystem");
    }

    public String getSrcbusibill() {
        return (String)this.getAttributeValue("srcbusibill");
    }

    public String getSrcbusitype() {
        return (String)this.getAttributeValue("srcbusitype");
    }

    public String getSrcbusibillname() {
        return (String)this.getAttributeValue("srcbusibillname");
    }

    public void setSrcbusisystem(String srcbusisystem) {
        this.setAttributeValue("srcbusisystem", srcbusisystem);
    }

    public void setSrcbusibill(String srcbusibill) {
        this.setAttributeValue("srcbusibill", srcbusibill);
    }

    public void setSrcbusitype(String srcbusitype) {
        this.setAttributeValue("srcbusitype", srcbusitype);
    }

    public void setSrcbusibillname(String srcbusibillname) {
        this.setAttributeValue("srcbusibillname", srcbusibillname);
    }

    public void setOlcratedate(UFDate olcratedate) {
        this.setAttributeValue("olcratedate", olcratedate);
    }

    public UFDouble getUsemoney() {
        return (UFDouble)this.getAttributeValue("usemoney");
    }

    public void setUsemoney(UFDouble newMoneyy) {
        this.setAttributeValue("usemoney", newMoneyy);
    }

    public String getPk_bankaccer() {
        return (String)this.getAttributeValue("pk_bankaccer");
    }

    public void setPk_bankaccer(String newPk_bankaccer) {
        this.setAttributeValue("pk_bankaccer", newPk_bankaccer);
    }

    public String getPk_vouch() {
        return (String)this.getAttributeValue("pk_vouch");
    }

    public void setPk_vouch(String newPk_vouch) {
        this.setAttributeValue("pk_vouch", newPk_vouch);
    }

    public UFDate getBankaccdate() {
        return (UFDate)this.getAttributeValue("bankaccdate");
    }

    public void setBankaccdate(UFDate newBankaccdate) {
        this.setAttributeValue("bankaccdate", newBankaccdate);
    }

    public UFDate getVouchdate() {
        return (UFDate)this.getAttributeValue("vouchdate");
    }

    public void setVouchdate(UFDate newVouchdate) {
        this.setAttributeValue("vouchdate", newVouchdate);
    }

    public UFBoolean getAssociateflag() {
        return (UFBoolean)this.getAttributeValue("associateflag");
    }

    public void setAssociateflag(UFBoolean newAssociateflag) {
        this.setAttributeValue("associateflag", newAssociateflag);
    }

    public String getPk_informer() {
        return (String)this.getAttributeValue("pk_informer");
    }

    public void setPk_informer(String newPk_informer) {
        this.setAttributeValue("pk_informer", newPk_informer);
    }

    public String getDirection() {
        return (String)this.getAttributeValue("direction");
    }

    public void setDirection(String newDirection) {
        this.setAttributeValue("direction", newDirection);
    }

    public String getPk_currtype() {
        return (String)this.getAttributeValue("pk_currtype");
    }

    public void setPk_currtype(String newPk_currtype) {
        this.setAttributeValue("pk_currtype", newPk_currtype);
    }

    public String getPk_org() {
        return (String)this.getAttributeValue("pk_org");
    }

    public void setPk_org(String newPk_org) {
        this.setAttributeValue("pk_org", newPk_org);
    }

    public String getPk_banktype() {
        return (String)this.getAttributeValue("pk_banktype");
    }

    public void setPk_banktype(String newPk_banktype) {
        this.setAttributeValue("pk_banktype", newPk_banktype);
    }

    public String getPk_bank() {
        return (String)this.getAttributeValue("pk_bank");
    }

    public void setPk_bank(String newPk_bank) {
        this.setAttributeValue("pk_bank", newPk_bank);
    }

    public String getBankname() {
        return (String)this.getAttributeValue("bankname");
    }

    public void setBankname(String newBankname) {
        this.setAttributeValue("bankname", newBankname);
    }

    public String getPk_bankacc() {
        return (String)this.getAttributeValue("pk_bankacc");
    }

    public void setPk_bankacc(String newPk_bankacc) {
        this.setAttributeValue("pk_bankacc", newPk_bankacc);
    }

    public String getBankaccount() {
        return (String)this.getAttributeValue("bankaccount");
    }

    public void setBankaccount(String newBankaccount) {
        this.setAttributeValue("bankaccount", newBankaccount);
    }

    public String getPk_acc_sub() {
        return (String)this.getAttributeValue("pk_acc_sub");
    }

    public void setPk_acc_sub(String newPk_acc_sub) {
        this.setAttributeValue("pk_acc_sub", newPk_acc_sub);
    }

    public UFDouble getMoneyy() {
        return (UFDouble)this.getAttributeValue("moneyy");
    }

    public void setMoneyy(UFDouble newMoneyy) {
        this.setAttributeValue("moneyy", newMoneyy);
    }

    public UFDouble getOlcmoney() {
        return (UFDouble)this.getAttributeValue("olcmoney");
    }

    public void setOlcmoney(UFDouble newOlcmoney) {
        this.setAttributeValue("olcmoney", newOlcmoney);
    }

    public UFDouble getGlcmoney() {
        return (UFDouble)this.getAttributeValue("glcmoney");
    }

    public void setGlcmoney(UFDouble newGlcmoney) {
        this.setAttributeValue("glcmoney", newGlcmoney);
    }

    public UFDouble getGllcmoney() {
        return (UFDouble)this.getAttributeValue("gllcmoney");
    }

    public void setGllcmoney(UFDouble newGllcmoney) {
        this.setAttributeValue("gllcmoney", newGllcmoney);
    }

    public UFDate getInfodate() {
        return (UFDate)this.getAttributeValue("infodate");
    }

    public void setInfodate(UFDate newInfodate) {
        this.setAttributeValue("infodate", newInfodate);
    }

    public UFTime getInfodatetime() {
        return (UFTime)this.getAttributeValue("infodatetime");
    }

    public void setInfodatetime(UFTime newInfodatetime) {
        this.setAttributeValue("infodatetime", newInfodatetime);
    }

    public String getMemo() {
        return (String)this.getAttributeValue("memo");
    }

    public void setMemo(String newMemo) {
        this.setAttributeValue("memo", newMemo);
    }

    public String getPk_oppunit() {
        return (String)this.getAttributeValue("pk_oppunit");
    }

    public void setPk_oppunit(String newPk_oppunit) {
        this.setAttributeValue("pk_oppunit", newPk_oppunit);
    }

    public String getPk_oppbanktype() {
        return (String)this.getAttributeValue("pk_oppbanktype");
    }

    public void setPk_oppbanktype(String newPk_oppbanktype) {
        this.setAttributeValue("pk_oppbanktype", newPk_oppbanktype);
    }

    public String getPk_oppbank() {
        return (String)this.getAttributeValue("pk_oppbank");
    }

    public void setPk_oppbank(String newPk_oppbank) {
        this.setAttributeValue("pk_oppbank", newPk_oppbank);
    }

    public String getOppunitname() {
        return (String)this.getAttributeValue("oppunitname");
    }

    public void setOppunitname(String newOppunitname) {
        this.setAttributeValue("oppunitname", newOppunitname);
    }

    public String getPk_oppacc() {
        return (String)this.getAttributeValue("pk_oppacc");
    }

    public void setPk_oppacc(String newPk_oppacc) {
        this.setAttributeValue("pk_oppacc", newPk_oppacc);
    }

    public String getOppbankaccount() {
        return (String)this.getAttributeValue("oppbankaccount");
    }

    public void setOppbankaccount(String newOppbankaccount) {
        this.setAttributeValue("oppbankaccount", newOppbankaccount);
    }

    public String getPk_oppacc_sub() {
        return (String)this.getAttributeValue("pk_oppacc_sub");
    }

    public void setPk_oppacc_sub(String newPk_oppacc_sub) {
        this.setAttributeValue("pk_oppacc_sub", newPk_oppacc_sub);
    }

    public String getPk_lower() {
        return (String)this.getAttributeValue("pk_lower");
    }

    public void setPk_lower(String newPk_lower) {
        this.setAttributeValue("pk_lower", newPk_lower);
    }

    public String getGenerateflag() {
        return (String)this.getAttributeValue("generateflag");
    }

    public void setGenerateflag(String newGenerateflag) {
        this.setAttributeValue("generateflag", newGenerateflag);
    }

    public String getPk_src() {
        return (String)this.getAttributeValue("pk_src");
    }

    public void setPk_src(String newPk_src) {
        this.setAttributeValue("pk_src", newPk_src);
    }

    public String getSyscode() {
        return (String)this.getAttributeValue("syscode");
    }

    public void setSyscode(String newSyscode) {
        this.setAttributeValue("syscode", newSyscode);
    }

    public String getPk_group() {
        return (String)this.getAttributeValue("pk_group");
    }

    public void setPk_group(String newPk_group) {
        this.setAttributeValue("pk_group", newPk_group);
    }

    public String getCreator() {
        return (String)this.getAttributeValue("creator");
    }

    public void setCreator(String newCreator) {
        this.setAttributeValue("creator", newCreator);
    }

    public UFDateTime getCreationtime() {
        return (UFDateTime)this.getAttributeValue("creationtime");
    }

    public void setCreationtime(UFDateTime newCreationtime) {
        this.setAttributeValue("creationtime", newCreationtime);
    }

    public String getModifier() {
        return (String)this.getAttributeValue("modifier");
    }

    public void setModifier(String newModifier) {
        this.setAttributeValue("modifier", newModifier);
    }

    public UFDateTime getModifiedtime() {
        return (UFDateTime)this.getAttributeValue("modifiedtime");
    }

    public void setModifiedtime(UFDateTime newModifiedtime) {
        this.setAttributeValue("modifiedtime", newModifiedtime);
    }

    public String getPk_org_v() {
        return (String)this.getAttributeValue("pk_org_v");
    }

    public void setPk_org_v(String newPk_org_v) {
        this.setAttributeValue("pk_org_v", newPk_org_v);
    }

    public UFBoolean getSelected() {
        return (UFBoolean)this.getAttributeValue("selected");
    }

    public void setSelected(UFBoolean newSelected) {
        this.setAttributeValue("selected", newSelected);
    }

    public String getStyleflag() {
        return (String)this.getAttributeValue("styleflag");
    }

    public void setStyleflag(String newStyleflag) {
        this.setAttributeValue("styleflag", newStyleflag);
    }

    public Integer getRowno() {
        return (Integer)this.getAttributeValue("rowno");
    }

    public void setRowno(Integer newRowno) {
        this.setAttributeValue("rowno", newRowno);
    }

    public String getOppunittype() {
        return (String)this.getAttributeValue("oppunittype");
    }

    public void setOppunittype(String newOppunittype) {
        this.setAttributeValue("oppunittype", newOppunittype);
    }

    public String getOppinout() {
        return (String)this.getAttributeValue("oppinout");
    }

    public void setOppinout(String newOppinout) {
        this.setAttributeValue("oppinout", newOppinout);
    }

    public String getLowerbilltype() {
        return (String)this.getAttributeValue("lowerbilltype");
    }

    public void setLowerbilltype(String newLowerbilltype) {
        this.setAttributeValue("lowerbilltype", newLowerbilltype);
    }

    public UFDouble getOlcrate() {
        return (UFDouble)this.getAttributeValue("olcrate");
    }

    public void setOlcrate(UFDouble newOlcrate) {
        this.setAttributeValue("olcrate", newOlcrate);
    }

    public UFDouble getGlcrate() {
        return (UFDouble)this.getAttributeValue("glcrate");
    }

    public void setGlcrate(UFDouble newGlcrate) {
        this.setAttributeValue("glcrate", newGlcrate);
    }

    public UFDouble getGllcrate() {
        return (UFDouble)this.getAttributeValue("gllcrate");
    }

    public void setGllcrate(UFDouble newGllcrate) {
        this.setAttributeValue("gllcrate", newGllcrate);
    }

    public String getBankrelated_code() {
        return (String)this.getAttributeValue("bankrelated_code");
    }

    public void setBankrelated_code(String newBankrelated_code) {
        this.setAttributeValue("bankrelated_code", newBankrelated_code);
    }

    public String getVbillno() {
        return (String)this.getAttributeValue("vbillno");
    }

    public void setVbillno(String newVbillno) {
        this.setAttributeValue("vbillno", newVbillno);
    }

    public String getPk_billtypecode() {
        return (String)this.getAttributeValue("pk_billtypecode");
    }

    public void setPk_billtypecode(String newPk_billtypecode) {
        this.setAttributeValue("pk_billtypecode", newPk_billtypecode);
    }

    public String getPk_billtypeid() {
        return (String)this.getAttributeValue("pk_billtypeid");
    }

    public void setPk_billtypeid(String newPk_billtypeid) {
        this.setAttributeValue("pk_billtypeid", newPk_billtypeid);
    }

    public String getBillmaker() {
        return (String)this.getAttributeValue("billmaker");
    }

    public void setBillmaker(String newBillmaker) {
        this.setAttributeValue("billmaker", newBillmaker);
    }

    public UFDate getDoperatedate() {
        return (UFDate)this.getAttributeValue("doperatedate");
    }

    public void setDoperatedate(UFDate newDoperatedate) {
        this.setAttributeValue("doperatedate", newDoperatedate);
    }

    public UFDateTime getDoperatetime() {
        return (UFDateTime)this.getAttributeValue("doperatetime");
    }

    public void setDoperatetime(UFDateTime newDoperatetime) {
        this.setAttributeValue("doperatetime", newDoperatetime);
    }

    public String getRecpay_fundorg() {
        return (String)this.getAttributeValue("recpay_fundorg");
    }

    public void setRecpay_fundorg(String newRecpay_fundorg) {
        this.setAttributeValue("recpay_fundorg", newRecpay_fundorg);
    }

    public String getRecpay_org() {
        return (String)this.getAttributeValue("recpay_org");
    }

    public void setRecpay_org(String newRecpay_org) {
        this.setAttributeValue("recpay_org", newRecpay_org);
    }

    public String getRecpay_inneracc() {
        return (String)this.getAttributeValue("recpay_inneracc");
    }

    public void setRecpay_inneracc(String newRecpay_inneracc) {
        this.setAttributeValue("recpay_inneracc", newRecpay_inneracc);
    }

    public String getPk_balatype() {
        return (String)this.getAttributeValue("pk_balatype");
    }

    public void setPk_balatype(String newPk_balatype) {
        this.setAttributeValue("pk_balatype", newPk_balatype);
    }

    public String getPk_fundtype() {
        return (String)this.getAttributeValue("pk_fundtype");
    }

    public void setPk_fundtype(String newPk_fundtype) {
        this.setAttributeValue("pk_fundtype", newPk_fundtype);
    }

    public String getRecpay_orgplansubj() {
        return (String)this.getAttributeValue("recpay_orgplansubj");
    }

    public void setRecpay_orgplansubj(String newRecpay_orgplansubj) {
        this.setAttributeValue("recpay_orgplansubj", newRecpay_orgplansubj);
    }

    public String getRecpay_fundplansubj() {
        return (String)this.getAttributeValue("recpay_fundplansubj");
    }

    public void setRecpay_fundplansubj(String newRecpay_fundplansubj) {
        this.setAttributeValue("recpay_fundplansubj", newRecpay_fundplansubj);
    }

    public String getPk_claimer() {
        return (String)this.getAttributeValue("pk_claimer");
    }

    public void setPk_claimer(String newPk_claimer) {
        this.setAttributeValue("pk_claimer", newPk_claimer);
    }

    public UFDate getClaimdate() {
        return (UFDate)this.getAttributeValue("claimdate");
    }

    public void setClaimdate(UFDate newClaimdate) {
        this.setAttributeValue("claimdate", newClaimdate);
    }

    public String getRelease_org() {
        return (String)this.getAttributeValue("release_org");
    }

    public void setRelease_org(String newRelease_org) {
        this.setAttributeValue("release_org", newRelease_org);
    }

    public String getBankaccflag() {
        return (String)this.getAttributeValue("bankaccflag");
    }

    public void setBankaccflag(String newBankaccflag) {
        this.setAttributeValue("bankaccflag", newBankaccflag);
    }

    public String getVouchflag() {
        return (String)this.getAttributeValue("vouchflag");
    }

    public void setVouchflag(String newVouchflag) {
        this.setAttributeValue("vouchflag", newVouchflag);
    }

    public UFDouble getTaxrate() {
        return (UFDouble)this.getAttributeValue("taxrate");
    }

    public void setTaxrate(UFDouble newTaxrate) {
        this.setAttributeValue("taxrate", newTaxrate);
    }

    public String getConsignagreement() {
        return (String)this.getAttributeValue("consignagreement");
    }

    public void setConsignagreement(String newConsignagreement) {
        this.setAttributeValue("consignagreement", newConsignagreement);
    }

    public String getNote_no() {
        return (String)this.getAttributeValue("note_no");
    }

    public void setNote_no(String newNote_no) {
        this.setAttributeValue("note_no", newNote_no);
    }

    public String getInvoiceno() {
        return (String)this.getAttributeValue("invoiceno");
    }

    public void setInvoiceno(String newInvoiceno) {
        this.setAttributeValue("invoiceno", newInvoiceno);
    }

    public String getPayreason() {
        return (String)this.getAttributeValue("payreason");
    }

    public void setPayreason(String newPayreason) {
        this.setAttributeValue("payreason", newPayreason);
    }

    public String getFailurereason() {
        return (String)this.getAttributeValue("failurereason");
    }

    public void setFailurereason(String newFailurereason) {
        this.setAttributeValue("failurereason", newFailurereason);
    }

    public String getDomain() {
        return (String)this.getAttributeValue("domain");
    }

    public void setDomain(String newDomain) {
        this.setAttributeValue("domain", newDomain);
    }

    public String getFamily() {
        return (String)this.getAttributeValue("family");
    }

    public void setFamily(String newFamily) {
        this.setAttributeValue("family", newFamily);
    }

    public String getSubfamily() {
        return (String)this.getAttributeValue("subfamily");
    }

    public void setSubfamily(String newSubfamily) {
        this.setAttributeValue("subfamily", newSubfamily);
    }

    public UFBoolean getSddreversalflag() {
        return (UFBoolean)this.getAttributeValue("sddreversalflag");
    }

    public void setSddreversalflag(UFBoolean newSddreversalflag) {
        this.setAttributeValue("sddreversalflag", newSddreversalflag);
    }

    public String getStructuredstandard() {
        return (String)this.getAttributeValue("structuredstandard");
    }

    public void setStructuredstandard(String newStructuredstandard) {
        this.setAttributeValue("structuredstandard", newStructuredstandard);
    }

    public String getCreditorreference() {
        return (String)this.getAttributeValue("creditorreference");
    }

    public void setCreditorreference(String newCreditorreference) {
        this.setAttributeValue("creditorreference", newCreditorreference);
    }

    public Integer getDr() {
        return (Integer)this.getAttributeValue("dr");
    }

    public void setDr(Integer newDr) {
        this.setAttributeValue("dr", newDr);
    }

    public UFDateTime getTs() {
        return (UFDateTime)this.getAttributeValue("ts");
    }

    public void setTs(UFDateTime newTs) {
        this.setAttributeValue("ts", newTs);
    }

    public String getParentPKFieldName() {
        return null;
    }

    public String getPKFieldName() {
        return "pk_informer";
    }

    public String getTranserial() {
        return (String)this.getAttributeValue("transerial");
    }

    public void setTranserial(String newTranserial) {
        this.setAttributeValue("transerial", newTranserial);
    }

    public String getSaga_gtxid() {
        return (String)this.getAttributeValue("saga_gtxid");
    }

    public void setSaga_gtxid(String saga_gtxid) {
        this.setAttributeValue("saga_gtxid", saga_gtxid);
    }

    public String getSaga_btxid() {
        return (String)this.getAttributeValue("saga_btxid");
    }

    public void setSaga_btxid(String saga_btxid) {
        this.setAttributeValue("saga_btxid", saga_btxid);
    }

    public Integer getSaga_frozen() {
        return (Integer)this.getAttributeValue("saga_frozen");
    }

    public void setSaga_frozen(Integer saga_frozen) {
        this.setAttributeValue("saga_frozen", saga_frozen);
    }

    public Integer getSaga_status() {
        return (Integer)this.getAttributeValue("saga_status");
    }

    public void setSaga_status(Integer saga_status) {
        this.setAttributeValue("saga_status", saga_status);
    }

    public String getRateflag() {
        return (String)this.getAttributeValue("rateflag");
    }

    public void setRateflag(String newRateflag) {
        this.setAttributeValue("rateflag", newRateflag);
    }

    public String getTableName() {
        return "cmp_informer";
    }

    public InformerVO() {
    }

    public IVOMeta getMetaData() {
        IVOMeta meta = VOMetaFactory.getInstance().getVOMeta("cmp.informer");
        return meta;
    }
}
